Agent Governance Protocol
API ReferenceRegistry APICapabilities

Get capability token

GET
/agp/capabilities/{capabilityId}

Authorization

AuthorizationBearer <token>

In: header

Scope: agp.registry.read, agp.registry.write

Path Parameters

capabilityId*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/agp/capabilities/string"
{  "type": "CapabilityToken",  "capability_id": "string",  "subject_agent": "string",  "issuer": "string",  "principal_id": "string",  "permitted_actions": [    "string"  ],  "tool_scopes": [    "string"  ],  "data_scopes": [    "string"  ],  "constraints": {    "spend_limit": {      "currency": "string",      "amount": 0    },    "max_delegation_depth": 0,    "jurisdictions": [      "string"    ]  },  "expires_at": "2019-08-24T14:15:22Z",  "revocation_id": "string",  "signature": {    "alg": "string",    "kid": "string",    "issuer": "string",    "issued_at": "2019-08-24T14:15:22Z",    "payload_hash": "string",    "value": "string"  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}